function varargout = graf_T2_ZP(varargin)
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @graf_T2_ZP_OpeningFcn, ...
                   'gui_OutputFcn',  @graf_T2_ZP_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

% --- Executes just before graf_T2_ZP is made visible.
function graf_T2_ZP_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to graf_T2_ZP (see VARARGIN)

% Choose default command line output for graf_T2_ZP
handles.output = hObject;

tout_ZP=evalin('base', 'tout_ZP');
max_tout_ZP=max(tout_ZP)/3600;

T2_ZP=evalin('base', 'T2_ZP');

plot(tout_ZP/3600,T2_ZP, 'Color',[1 0 0], 'LineWidth',2);
xlim([0 max_tout_ZP]);
ylim([35 85]);
set(gca,'XTick',[0:1:max_tout_ZP])
box on;
grid on;
title('Prbh teploty - vstup KJ', 'FontSize',10, 'FontName', 'Arial') 
ylabel('\vartheta_2 [C]')
xlabel('t [h]')

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes graf_T2_ZP wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = graf_T2_ZP_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in pushbutton_end.
function pushbutton_end_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_end (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close graf_T2_ZP
